## org.eclipse.emf.ecore
Interface EcorePackage.Literals

Enclosing interface:
  EcorePackage

    public static interface EcorePackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` `EANNOTATION` The meta object literal for the '`EAnnotation`' class
`static EReference` `EANNOTATION__CONTENTS` The meta object literal for the 'Contents' containment reference list feature
`static EReference` `EANNOTATION__DETAILS` The meta object literal for the 'Details' map feature
`static EReference` `EANNOTATION__EMODEL_ELEMENT` The meta object literal for the 'EModel Element' container reference feature
`static EReference` `EANNOTATION__REFERENCES` The meta object literal for the 'References' reference list feature
`static EAttribute` `EANNOTATION__SOURCE` The meta object literal for the 'Source' attribute feature
`static EClass` `EATTRIBUTE` The meta object literal for the '`EAttribute`' class
`static EReference` `EATTRIBUTE__EATTRIBUTE_TYPE` The meta object literal for the 'EAttribute Type' reference feature
`static EAttribute` `EATTRIBUTE__ID` The meta object literal for the 'ID' attribute feature
`static EDataType` `EBIG_DECIMAL` The meta object literal for the 'EBig Decimal' data type
`static EDataType` `EBIG_INTEGER` The meta object literal for the 'EBig Integer' data type
`static EDataType` `EBOOLEAN` The meta object literal for the 'EBoolean' data type
`static EDataType` `EBOOLEAN_OBJECT` The meta object literal for the 'EBoolean Object' data type
`static EDataType` `EBYTE` The meta object literal for the 'EByte' data type
`static EDataType` `EBYTE_ARRAY` The meta object literal for the 'EByte Array' data type
`static EDataType` `EBYTE_OBJECT` The meta object literal for the 'EByte Object' data type
`static EDataType` `ECHAR` The meta object literal for the 'EChar' data type
`static EDataType` `ECHARACTER_OBJECT` The meta object literal for the 'ECharacter Object' data type
`static EClass` `ECLASS` The meta object literal for the '`EClass`' class
`static EOperation` `ECLASS___GET_EOPERATION__INT` The meta object literal for the 'Get EOperation' operation
`static EOperation` `ECLASS___GET_ESTRUCTURAL_FEATURE__INT` The meta object literal for the 'Get EStructural Feature' operation
`static EOperation` `ECLASS___GET_ESTRUCTURAL_FEATURE__STRING` The meta object literal for the 'Get EStructural Feature' operation
`static EOperation` `ECLASS___GET_FEATURE_COUNT` The meta object literal for the 'Get Feature Count' operation
`static EOperation` `ECLASS___GET_FEATURE_ID__ESTRUCTURALFEATURE` The meta object literal for the 'Get Feature ID' operation
`static EOperation` `ECLASS___GET_OPERATION_COUNT` The meta object literal for the 'Get Operation Count' operation
`static EOperation` `ECLASS___GET_OPERATION_ID__EOPERATION` The meta object literal for the 'Get Operation ID' operation
`static EOperation` `ECLASS___GET_OVERRIDE__EOPERATION` The meta object literal for the 'Get Override' operation
`static EOperation` `ECLASS___IS_SUPER_TYPE_OF__ECLASS` The meta object literal for the 'Is Super Type Of' operation
`static EAttribute` `ECLASS__ABSTRACT` The meta object literal for the 'Abstract' attribute feature
`static EReference` `ECLASS__EALL_ATTRIBUTES` The meta object literal for the 'EAll Attributes' reference list feature
`static EReference` `ECLASS__EALL_CONTAINMENTS` The meta object literal for the 'EAll Containments' reference list feature
`static EReference` `ECLASS__EALL_GENERIC_SUPER_TYPES` The meta object literal for the 'EAll Generic Super Types' reference list feature
`static EReference` `ECLASS__EALL_OPERATIONS` The meta object literal for the 'EAll Operations' reference list feature
`static EReference` `ECLASS__EALL_REFERENCES` The meta object literal for the 'EAll References' reference list feature
`static EReference` `ECLASS__EALL_STRUCTURAL_FEATURES` The meta object literal for the 'EAll Structural Features' reference list feature
`static EReference` `ECLASS__EALL_SUPER_TYPES` The meta object literal for the 'EAll Super Types' reference list feature
`static EReference` `ECLASS__EATTRIBUTES` The meta object literal for the 'EAttributes' reference list feature
`static EReference` `ECLASS__EGENERIC_SUPER_TYPES` The meta object literal for the 'EGeneric Super Types' containment reference list feature
`static EReference` `ECLASS__EID_ATTRIBUTE` The meta object literal for the 'EID Attribute' reference feature
`static EReference` `ECLASS__EOPERATIONS` The meta object literal for the 'EOperations' containment reference list feature
`static EReference` `ECLASS__EREFERENCES` The meta object literal for the 'EReferences' reference list feature
`static EReference` `ECLASS__ESTRUCTURAL_FEATURES` The meta object literal for the 'EStructural Features' containment reference list feature
`static EReference` `ECLASS__ESUPER_TYPES` The meta object literal for the 'ESuper Types' reference list feature
`static EAttribute` `ECLASS__INTERFACE` The meta object literal for the 'Interface' attribute feature
`static EClass` `ECLASSIFIER` The meta object literal for the '`EClassifier`' class
`static EOperation` `ECLASSIFIER___GET_CLASSIFIER_ID` The meta object literal for the 'Get Classifier ID' operation
`static EOperation` `ECLASSIFIER___IS_INSTANCE__OBJECT` The meta object literal for the 'Is Instance' operation
`static EAttribute` `ECLASSIFIER__DEFAULT_VALUE` The meta object literal for the 'Default Value' attribute feature
`static EReference` `ECLASSIFIER__EPACKAGE` The meta object literal for the 'EPackage' container reference feature
`static EReference` `ECLASSIFIER__ETYPE_PARAMETERS` The meta object literal for the 'EType Parameters' containment reference list feature
`static EAttribute` `ECLASSIFIER__INSTANCE_CLASS` The meta object literal for the 'Instance Class' attribute feature
`static EAttribute` `ECLASSIFIER__INSTANCE_CLASS_NAME` The meta object literal for the 'Instance Class Name' attribute feature
`static EAttribute` `ECLASSIFIER__INSTANCE_TYPE_NAME` The meta object literal for the 'Instance Type Name' attribute feature
`static EClass` `EDATA_TYPE` The meta object literal for the '`EData Type`' class
`static EAttribute` `EDATA_TYPE__SERIALIZABLE` The meta object literal for the 'Serializable' attribute feature
`static EDataType` `EDATE` The meta object literal for the 'EDate' data type
`static EDataType` `EDIAGNOSTIC_CHAIN` The meta object literal for the 'EDiagnostic Chain' data type
`static EDataType` `EDOUBLE` The meta object literal for the 'EDouble' data type
`static EDataType` `EDOUBLE_OBJECT` The meta object literal for the 'EDouble Object' data type
`static EDataType` `EE_LIST` The meta object literal for the 'EE List' data type
`static EClass` `EENUM` The meta object literal for the '`EEnum`' class
`static EOperation` `EENUM___GET_EENUM_LITERAL__INT` The meta object literal for the 'Get EEnum Literal' operation
`static EOperation` `EENUM___GET_EENUM_LITERAL__STRING` The meta object literal for the 'Get EEnum Literal' operation
`static EOperation` `EENUM___GET_EENUM_LITERAL_BY_LITERAL__STRING` The meta object literal for the 'Get EEnum Literal By Literal' operation
`static EReference` `EENUM__ELITERALS` The meta object literal for the 'ELiterals' containment reference list feature
`static EClass` `EENUM_LITERAL` The meta object literal for the '`EEnum Literal`' class
`static EReference` `EENUM_LITERAL__EENUM` The meta object literal for the 'EEnum' container reference feature
`static EAttribute` `EENUM_LITERAL__INSTANCE` The meta object literal for the 'Instance' attribute feature
`static EAttribute` `EENUM_LITERAL__LITERAL` The meta object literal for the 'Literal' attribute feature
`static EAttribute` `EENUM_LITERAL__VALUE` The meta object literal for the 'Value' attribute feature
`static EDataType` `EENUMERATOR` The meta object literal for the 'EEnumerator' data type
`static EClass` `EFACTORY` The meta object literal for the '`EFactory`' class
`static EOperation` `EFACTORY___CONVERT_TO_STRING__EDATATYPE_OBJECT` The meta object literal for the 'Convert To String' operation
`static EOperation` `EFACTORY___CREATE__ECLASS` The meta object literal for the 'Create' operation
`static EOperation` `EFACTORY___CREATE_FROM_STRING__EDATATYPE_STRING` The meta object literal for the 'Create From String' operation
`static EReference` `EFACTORY__EPACKAGE` The meta object literal for the 'EPackage' reference feature
`static EDataType` `EFEATURE_MAP` The meta object literal for the 'EFeature Map' data type
`static EDataType` `EFEATURE_MAP_ENTRY` The meta object literal for the 'EFeature Map Entry' data type
`static EDataType` `EFLOAT` The meta object literal for the 'EFloat' data type
`static EDataType` `EFLOAT_OBJECT` The meta object literal for the 'EFloat Object' data type
`static EClass` `EGENERIC_TYPE` The meta object literal for the '`EGeneric Type`' class
`static EReference` `EGENERIC_TYPE__ECLASSIFIER` The meta object literal for the 'EClassifier' reference feature
`static EReference` `EGENERIC_TYPE__ELOWER_BOUND` The meta object literal for the 'ELower Bound' containment reference feature
`static EReference` `EGENERIC_TYPE__ERAW_TYPE` The meta object literal for the 'ERaw Type' reference feature
`static EReference` `EGENERIC_TYPE__ETYPE_ARGUMENTS` The meta object literal for the 'EType Arguments' containment reference list feature
`static EReference` `EGENERIC_TYPE__ETYPE_PARAMETER` The meta object literal for the 'EType Parameter' reference feature
`static EReference` `EGENERIC_TYPE__EUPPER_BOUND` The meta object literal for the 'EUpper Bound' containment reference feature
`static EDataType` `EINT` The meta object literal for the 'EInt' data type
`static EDataType` `EINTEGER_OBJECT` The meta object literal for the 'EInteger Object' data type
`static EDataType` `EINVOCATION_TARGET_EXCEPTION` The meta object literal for the 'EInvocation Target Exception' data type
`static EDataType` `EJAVA_CLASS` The meta object literal for the 'EJava Class' data type
`static EDataType` `EJAVA_OBJECT` The meta object literal for the 'EJava Object' data type
`static EDataType` `ELONG` The meta object literal for the 'ELong' data type
`static EDataType` `ELONG_OBJECT` The meta object literal for the 'ELong Object' data type
`static EDataType` `EMAP` The meta object literal for the 'EMap' data type
`static EClass` `EMODEL_ELEMENT` The meta object literal for the '`EModel Element`' class
`static EOperation` `EMODEL_ELEMENT___GET_EANNOTATION__STRING` The meta object literal for the 'Get EAnnotation' operation
`static EReference` `EMODEL_ELEMENT__EANNOTATIONS` The meta object literal for the 'EAnnotations' containment reference list feature
`static EClass` `ENAMED_ELEMENT` The meta object literal for the '`ENamed Element`' class
`static EAttribute` `ENAMED_ELEMENT__NAME` The meta object literal for the 'Name' attribute feature
`static EClass` `EOBJECT` The meta object literal for the '`EObject`' class
`static EOperation` `EOBJECT___EALL_CONTENTS` The meta object literal for the 'EAll Contents' operation
`static EOperation` `EOBJECT___ECLASS` The meta object literal for the 'EClass' operation
`static EOperation` `EOBJECT___ECONTAINER` The meta object literal for the 'EContainer' operation
`static EOperation` `EOBJECT___ECONTAINING_FEATURE` The meta object literal for the 'EContaining Feature' operation
`static EOperation` `EOBJECT___ECONTAINMENT_FEATURE` The meta object literal for the 'EContainment Feature' operation
`static EOperation` `EOBJECT___ECONTENTS` The meta object literal for the 'EContents' operation
`static EOperation` `EOBJECT___ECROSS_REFERENCES` The meta object literal for the 'ECross References' operation
`static EOperation` `EOBJECT___EGET__ESTRUCTURALFEATURE` The meta object literal for the 'EGet' operation
`static EOperation` `EOBJECT___EGET__ESTRUCTURALFEATURE_BOOLEAN` The meta object literal for the 'EGet' operation
`static EOperation` `EOBJECT___EINVOKE__EOPERATION_ELIST` The meta object literal for the 'EInvoke' operation
`static EOperation` `EOBJECT___EIS_PROXY` The meta object literal for the 'EIs Proxy' operation
`static EOperation` `EOBJECT___EIS_SET__ESTRUCTURALFEATURE` The meta object literal for the 'EIs Set' operation
`static EOperation` `EOBJECT___ERESOURCE` The meta object literal for the 'EResource' operation
`static EOperation` `EOBJECT___ESET__ESTRUCTURALFEATURE_OBJECT` The meta object literal for the 'ESet' operation
`static EOperation` `EOBJECT___EUNSET__ESTRUCTURALFEATURE` The meta object literal for the 'EUnset' operation
`static EClass` `EOPERATION` The meta object literal for the '`EOperation`' class
`static EOperation` `EOPERATION___GET_OPERATION_ID` The meta object literal for the 'Get Operation ID' operation
`static EOperation` `EOPERATION___IS_OVERRIDE_OF__EOPERATION` The meta object literal for the 'Is Override Of' operation
`static EReference` `EOPERATION__ECONTAINING_CLASS` The meta object literal for the 'EContaining Class' container reference feature
`static EReference` `EOPERATION__EEXCEPTIONS` The meta object literal for the 'EExceptions' reference list feature
`static EReference` `EOPERATION__EGENERIC_EXCEPTIONS` The meta object literal for the 'EGeneric Exceptions' containment reference list feature
`static EReference` `EOPERATION__EPARAMETERS` The meta object literal for the 'EParameters' containment reference list feature
`static EReference` `EOPERATION__ETYPE_PARAMETERS` The meta object literal for the 'EType Parameters' containment reference list feature
`static EClass` `EPACKAGE` The meta object literal for the '`EPackage`' class
`static EOperation` `EPACKAGE___GET_ECLASSIFIER__STRING` The meta object literal for the 'Get EClassifier' operation
`static EReference` `EPACKAGE__ECLASSIFIERS` The meta object literal for the 'EClassifiers' containment reference list feature
`static EReference` `EPACKAGE__EFACTORY_INSTANCE` The meta object literal for the 'EFactory Instance' reference feature
`static EReference` `EPACKAGE__ESUBPACKAGES` The meta object literal for the 'ESubpackages' containment reference list feature
`static EReference` `EPACKAGE__ESUPER_PACKAGE` The meta object literal for the 'ESuper Package' container reference feature
`static EAttribute` `EPACKAGE__NS_PREFIX` The meta object literal for the 'Ns Prefix' attribute feature
`static EAttribute` `EPACKAGE__NS_URI` The meta object literal for the 'Ns URI' attribute feature
`static EClass` `EPARAMETER` The meta object literal for the '`EParameter`' class
`static EReference` `EPARAMETER__EOPERATION` The meta object literal for the 'EOperation' container reference feature
`static EClass` `EREFERENCE` The meta object literal for the '`EReference`' class
`static EAttribute` `EREFERENCE__CONTAINER` The meta object literal for the 'Container' attribute feature
`static EAttribute` `EREFERENCE__CONTAINMENT` The meta object literal for the 'Containment' attribute feature
`static EReference` `EREFERENCE__EKEYS` The meta object literal for the 'EKeys' reference list feature
`static EReference` `EREFERENCE__EOPPOSITE` The meta object literal for the 'EOpposite' reference feature
`static EReference` `EREFERENCE__EREFERENCE_TYPE` The meta object literal for the 'EReference Type' reference feature
`static EAttribute` `EREFERENCE__RESOLVE_PROXIES` The meta object literal for the 'Resolve Proxies' attribute feature
`static EDataType` `ERESOURCE` The meta object literal for the 'EResource' data type
`static EDataType` `ERESOURCE_SET` The meta object literal for the 'EResource Set' data type
`static EDataType` `ESHORT` The meta object literal for the 'EShort' data type
`static EDataType` `ESHORT_OBJECT` The meta object literal for the 'EShort Object' data type
`static EDataType` `ESTRING` The meta object literal for the 'EString' data type
`static EClass` `ESTRING_TO_STRING_MAP_ENTRY` The meta object literal for the '`EString To String Map Entry`' class
`static EAttribute` `ESTRING_TO_STRING_MAP_ENTRY__KEY` The meta object literal for the 'Key' attribute feature
`static EAttribute` `ESTRING_TO_STRING_MAP_ENTRY__VALUE` The meta object literal for the 'Value' attribute feature
`static EClass` `ESTRUCTURAL_FEATURE` The meta object literal for the '`EStructural Feature`' class
`static EOperation` `ESTRUCTURAL_FEATURE___GET_CONTAINER_CLASS` The meta object literal for the 'Get Container Class' operation
`static EOperation` `ESTRUCTURAL_FEATURE___GET_FEATURE_ID` The meta object literal for the 'Get Feature ID' operation
`static EAttribute` `ESTRUCTURAL_FEATURE__CHANGEABLE` The meta object literal for the 'Changeable' attribute feature
`static EAttribute` `ESTRUCTURAL_FEATURE__DEFAULT_VALUE` The meta object literal for the 'Default Value' attribute feature
`static EAttribute` `ESTRUCTURAL_FEATURE__DEFAULT_VALUE_LITERAL` The meta object literal for the 'Default Value Literal' attribute feature
`static EAttribute` `ESTRUCTURAL_FEATURE__DERIVED` The meta object literal for the 'Derived' attribute feature
`static EReference` `ESTRUCTURAL_FEATURE__ECONTAINING_CLASS` The meta object literal for the 'EContaining Class' container reference feature
`static EAttribute` `ESTRUCTURAL_FEATURE__TRANSIENT` The meta object literal for the 'Transient' attribute feature
`static EAttribute` `ESTRUCTURAL_FEATURE__UNSETTABLE` The meta object literal for the 'Unsettable' attribute feature
`static EAttribute` `ESTRUCTURAL_FEATURE__VOLATILE` The meta object literal for the 'Volatile' attribute feature
`static EDataType` `ETREE_ITERATOR` The meta object literal for the 'ETree Iterator' data type
`static EClass` `ETYPE_PARAMETER` The meta object literal for the '`EType Parameter`' class
`static EReference` `ETYPE_PARAMETER__EBOUNDS` The meta object literal for the 'EBounds' containment reference list feature
`static EClass` `ETYPED_ELEMENT` The meta object literal for the '`ETyped Element`' class
`static EReference` `ETYPED_ELEMENT__EGENERIC_TYPE` The meta object literal for the 'EGeneric Type' containment reference feature
`static EReference` `ETYPED_ELEMENT__ETYPE` The meta object literal for the 'EType' reference feature
`static EAttribute` `ETYPED_ELEMENT__LOWER_BOUND` The meta object literal for the 'Lower Bound' attribute feature
`static EAttribute` `ETYPED_ELEMENT__MANY` The meta object literal for the 'Many' attribute feature
`static EAttribute` `ETYPED_ELEMENT__ORDERED` The meta object literal for the 'Ordered' attribute feature
`static EAttribute` `ETYPED_ELEMENT__REQUIRED` The meta object literal for the 'Required' attribute feature
`static EAttribute` `ETYPED_ELEMENT__UNIQUE` The meta object literal for the 'Unique' attribute feature
`static EAttribute` `ETYPED_ELEMENT__UPPER_BOUND` The meta object literal for the 'Upper Bound' attribute feature

Field Detail

### EATTRIBUTE

    static final EClass EATTRIBUTE

  The meta object literal for the '`EAttribute`' class.

  See Also:
    `EAttributeImpl`, `EcorePackageImpl.getEAttribute()`

### EATTRIBUTE__ID

    static final EAttribute EATTRIBUTE__ID

  The meta object literal for the 'ID' attribute feature.

### EATTRIBUTE__EATTRIBUTE_TYPE

    static final EReference EATTRIBUTE__EATTRIBUTE_TYPE

  The meta object literal for the 'EAttribute Type' reference feature.

### EANNOTATION

    static final EClass EANNOTATION

  The meta object literal for the '`EAnnotation`' class.

  See Also:
    `EAnnotationImpl`, `EcorePackageImpl.getEAnnotation()`

### EANNOTATION__SOURCE

    static final EAttribute EANNOTATION__SOURCE

  The meta object literal for the 'Source' attribute feature.

### EANNOTATION__DETAILS

    static final EReference EANNOTATION__DETAILS

  The meta object literal for the 'Details' map feature.

### EANNOTATION__EMODEL_ELEMENT

    static final EReference EANNOTATION__EMODEL_ELEMENT

  The meta object literal for the 'EModel Element' container reference feature.

### EANNOTATION__CONTENTS

    static final EReference EANNOTATION__CONTENTS

  The meta object literal for the 'Contents' containment reference list feature.

### EANNOTATION__REFERENCES

    static final EReference EANNOTATION__REFERENCES

  The meta object literal for the 'References' reference list feature.

### ECLASS

    static final EClass ECLASS

  The meta object literal for the '`EClass`' class.

  See Also:
    `EClassImpl`, `EcorePackageImpl.getEClass()`

### ECLASS__ABSTRACT

    static final EAttribute ECLASS__ABSTRACT

  The meta object literal for the 'Abstract' attribute feature.

### ECLASS__INTERFACE

    static final EAttribute ECLASS__INTERFACE

  The meta object literal for the 'Interface' attribute feature.

### ECLASS__ESUPER_TYPES

    static final EReference ECLASS__ESUPER_TYPES

  The meta object literal for the 'ESuper Types' reference list feature.

### ECLASS__EOPERATIONS

    static final EReference ECLASS__EOPERATIONS

  The meta object literal for the 'EOperations' containment reference list feature.

### ECLASS__EALL_ATTRIBUTES

    static final EReference ECLASS__EALL_ATTRIBUTES

  The meta object literal for the 'EAll Attributes' reference list feature.

### ECLASS__EALL_REFERENCES

    static final EReference ECLASS__EALL_REFERENCES

  The meta object literal for the 'EAll References' reference list feature.

### ECLASS__EREFERENCES

    static final EReference ECLASS__EREFERENCES

  The meta object literal for the 'EReferences' reference list feature.

### ECLASS__EATTRIBUTES

    static final EReference ECLASS__EATTRIBUTES

  The meta object literal for the 'EAttributes' reference list feature.

### ECLASS__EALL_CONTAINMENTS

    static final EReference ECLASS__EALL_CONTAINMENTS

  The meta object literal for the 'EAll Containments' reference list feature.

### ECLASS__EALL_OPERATIONS

    static final EReference ECLASS__EALL_OPERATIONS

  The meta object literal for the 'EAll Operations' reference list feature.

### ECLASS__EALL_STRUCTURAL_FEATURES

    static final EReference ECLASS__EALL_STRUCTURAL_FEATURES

  The meta object literal for the 'EAll Structural Features' reference list feature.

### ECLASS__EALL_SUPER_TYPES

    static final EReference ECLASS__EALL_SUPER_TYPES

  The meta object literal for the 'EAll Super Types' reference list feature.

### ECLASS__EID_ATTRIBUTE

    static final EReference ECLASS__EID_ATTRIBUTE

  The meta object literal for the 'EID Attribute' reference feature.

### ECLASS__ESTRUCTURAL_FEATURES

    static final EReference ECLASS__ESTRUCTURAL_FEATURES

  The meta object literal for the 'EStructural Features' containment reference list feature.

### ECLASS__EGENERIC_SUPER_TYPES

    static final EReference ECLASS__EGENERIC_SUPER_TYPES

  The meta object literal for the 'EGeneric Super Types' containment reference list feature.

### ECLASS__EALL_GENERIC_SUPER_TYPES

    static final EReference ECLASS__EALL_GENERIC_SUPER_TYPES

  The meta object literal for the 'EAll Generic Super Types' reference list feature.

### ECLASS___IS_SUPER_TYPE_OF__ECLASS

    static final EOperation ECLASS___IS_SUPER_TYPE_OF__ECLASS

  The meta object literal for the 'Is Super Type Of' operation.

### ECLASS___GET_FEATURE_COUNT

    static final EOperation ECLASS___GET_FEATURE_COUNT

  The meta object literal for the 'Get Feature Count' operation.

### ECLASS___GET_ESTRUCTURAL_FEATURE__INT

    static final EOperation ECLASS___GET_ESTRUCTURAL_FEATURE__INT

  The meta object literal for the 'Get EStructural Feature' operation.

### ECLASS___GET_FEATURE_ID__ESTRUCTURALFEATURE

    static final EOperation ECLASS___GET_FEATURE_ID__ESTRUCTURALFEATURE

  The meta object literal for the 'Get Feature ID' operation.

### ECLASS___GET_ESTRUCTURAL_FEATURE__STRING

    static final EOperation ECLASS___GET_ESTRUCTURAL_FEATURE__STRING

  The meta object literal for the 'Get EStructural Feature' operation.

### ECLASS___GET_OPERATION_COUNT

    static final EOperation ECLASS___GET_OPERATION_COUNT

  The meta object literal for the 'Get Operation Count' operation.

### ECLASS___GET_EOPERATION__INT

    static final EOperation ECLASS___GET_EOPERATION__INT

  The meta object literal for the 'Get EOperation' operation.

### ECLASS___GET_OPERATION_ID__EOPERATION

    static final EOperation ECLASS___GET_OPERATION_ID__EOPERATION

  The meta object literal for the 'Get Operation ID' operation.

### ECLASS___GET_OVERRIDE__EOPERATION

    static final EOperation ECLASS___GET_OVERRIDE__EOPERATION

  The meta object literal for the 'Get Override' operation.

### ECLASSIFIER

    static final EClass ECLASSIFIER

  The meta object literal for the '`EClassifier`' class.

  See Also:
    `EClassifierImpl`, `EcorePackageImpl.getEClassifier()`

### ECLASSIFIER__INSTANCE_CLASS_NAME

    static final EAttribute ECLASSIFIER__INSTANCE_CLASS_NAME

  The meta object literal for the 'Instance Class Name' attribute feature.

### ECLASSIFIER__INSTANCE_CLASS

    static final EAttribute ECLASSIFIER__INSTANCE_CLASS

  The meta object literal for the 'Instance Class' attribute feature.

### ECLASSIFIER__DEFAULT_VALUE

    static final EAttribute ECLASSIFIER__DEFAULT_VALUE

  The meta object literal for the 'Default Value' attribute feature.

### ECLASSIFIER__INSTANCE_TYPE_NAME

    static final EAttribute ECLASSIFIER__INSTANCE_TYPE_NAME

  The meta object literal for the 'Instance Type Name' attribute feature.

### ECLASSIFIER__EPACKAGE

    static final EReference ECLASSIFIER__EPACKAGE

  The meta object literal for the 'EPackage' container reference feature.

### ECLASSIFIER__ETYPE_PARAMETERS

    static final EReference ECLASSIFIER__ETYPE_PARAMETERS

  The meta object literal for the 'EType Parameters' containment reference list feature.

### ECLASSIFIER___IS_INSTANCE__OBJECT

    static final EOperation ECLASSIFIER___IS_INSTANCE__OBJECT

  The meta object literal for the 'Is Instance' operation.

### ECLASSIFIER___GET_CLASSIFIER_ID

    static final EOperation ECLASSIFIER___GET_CLASSIFIER_ID

  The meta object literal for the 'Get Classifier ID' operation.

### EDATA_TYPE

    static final EClass EDATA_TYPE

  The meta object literal for the '`EData Type`' class.

  See Also:
    `EDataTypeImpl`, `EcorePackageImpl.getEDataType()`

### EDATA_TYPE__SERIALIZABLE

    static final EAttribute EDATA_TYPE__SERIALIZABLE

  The meta object literal for the 'Serializable' attribute feature.

### EENUM

    static final EClass EENUM

  The meta object literal for the '`EEnum`' class.

  See Also:
    `EEnumImpl`, `EcorePackageImpl.getEEnum()`

### EENUM__ELITERALS

    static final EReference EENUM__ELITERALS

  The meta object literal for the 'ELiterals' containment reference list feature.

### EENUM___GET_EENUM_LITERAL__STRING

    static final EOperation EENUM___GET_EENUM_LITERAL__STRING

  The meta object literal for the 'Get EEnum Literal' operation.

### EENUM___GET_EENUM_LITERAL__INT

    static final EOperation EENUM___GET_EENUM_LITERAL__INT

  The meta object literal for the 'Get EEnum Literal' operation.

### EENUM___GET_EENUM_LITERAL_BY_LITERAL__STRING

    static final EOperation EENUM___GET_EENUM_LITERAL_BY_LITERAL__STRING

  The meta object literal for the 'Get EEnum Literal By Literal' operation.

### EENUM_LITERAL

    static final EClass EENUM_LITERAL

  The meta object literal for the '`EEnum Literal`' class.

  See Also:
    `EEnumLiteralImpl`, `EcorePackageImpl.getEEnumLiteral()`

### EENUM_LITERAL__VALUE

    static final EAttribute EENUM_LITERAL__VALUE

  The meta object literal for the 'Value' attribute feature.

### EENUM_LITERAL__INSTANCE

    static final EAttribute EENUM_LITERAL__INSTANCE

  The meta object literal for the 'Instance' attribute feature.

### EENUM_LITERAL__LITERAL

    static final EAttribute EENUM_LITERAL__LITERAL

  The meta object literal for the 'Literal' attribute feature.

### EENUM_LITERAL__EENUM

    static final EReference EENUM_LITERAL__EENUM

  The meta object literal for the 'EEnum' container reference feature.

### EFACTORY

    static final EClass EFACTORY

  The meta object literal for the '`EFactory`' class.

  See Also:
    `EFactoryImpl`, `EcorePackageImpl.getEFactory()`

### EFACTORY__EPACKAGE

    static final EReference EFACTORY__EPACKAGE

  The meta object literal for the 'EPackage' reference feature.

### EFACTORY___CREATE__ECLASS

    static final EOperation EFACTORY___CREATE__ECLASS

  The meta object literal for the 'Create' operation.

### EFACTORY___CREATE_FROM_STRING__EDATATYPE_STRING

    static final EOperation EFACTORY___CREATE_FROM_STRING__EDATATYPE_STRING

  The meta object literal for the 'Create From String' operation.

### EFACTORY___CONVERT_TO_STRING__EDATATYPE_OBJECT

    static final EOperation EFACTORY___CONVERT_TO_STRING__EDATATYPE_OBJECT

  The meta object literal for the 'Convert To String' operation.

### EMODEL_ELEMENT

    static final EClass EMODEL_ELEMENT

  The meta object literal for the '`EModel Element`' class.

  See Also:
    `EModelElementImpl`, `EcorePackageImpl.getEModelElement()`

### EMODEL_ELEMENT__EANNOTATIONS

    static final EReference EMODEL_ELEMENT__EANNOTATIONS

  The meta object literal for the 'EAnnotations' containment reference list feature.

### EMODEL_ELEMENT___GET_EANNOTATION__STRING

    static final EOperation EMODEL_ELEMENT___GET_EANNOTATION__STRING

  The meta object literal for the 'Get EAnnotation' operation.

### ENAMED_ELEMENT

    static final EClass ENAMED_ELEMENT

  The meta object literal for the '`ENamed Element`' class.

  See Also:
    `ENamedElementImpl`, `EcorePackageImpl.getENamedElement()`

### ENAMED_ELEMENT__NAME

    static final EAttribute ENAMED_ELEMENT__NAME

  The meta object literal for the 'Name' attribute feature.

### EOBJECT

    static final EClass EOBJECT

  The meta object literal for the '`EObject`' class.

  See Also:
    `EObjectImpl`, `EcorePackageImpl.getEObject()`

### EOBJECT___ECLASS

    static final EOperation EOBJECT___ECLASS

  The meta object literal for the 'EClass' operation.

### EOBJECT___EIS_PROXY

    static final EOperation EOBJECT___EIS_PROXY

  The meta object literal for the 'EIs Proxy' operation.

### EOBJECT___ERESOURCE

    static final EOperation EOBJECT___ERESOURCE

  The meta object literal for the 'EResource' operation.

### EOBJECT___ECONTAINER

    static final EOperation EOBJECT___ECONTAINER

  The meta object literal for the 'EContainer' operation.

### EOBJECT___ECONTAINING_FEATURE

    static final EOperation EOBJECT___ECONTAINING_FEATURE

  The meta object literal for the 'EContaining Feature' operation.

### EOBJECT___ECONTAINMENT_FEATURE

    static final EOperation EOBJECT___ECONTAINMENT_FEATURE

  The meta object literal for the 'EContainment Feature' operation.

### EOBJECT___ECONTENTS

    static final EOperation EOBJECT___ECONTENTS

  The meta object literal for the 'EContents' operation.

### EOBJECT___EALL_CONTENTS

    static final EOperation EOBJECT___EALL_CONTENTS

  The meta object literal for the 'EAll Contents' operation.

### EOBJECT___ECROSS_REFERENCES

    static final EOperation EOBJECT___ECROSS_REFERENCES

  The meta object literal for the 'ECross References' operation.

### EOBJECT___EGET__ESTRUCTURALFEATURE

    static final EOperation EOBJECT___EGET__ESTRUCTURALFEATURE

  The meta object literal for the 'EGet' operation.

### EOBJECT___EGET__ESTRUCTURALFEATURE_BOOLEAN

    static final EOperation EOBJECT___EGET__ESTRUCTURALFEATURE_BOOLEAN

  The meta object literal for the 'EGet' operation.

### EOBJECT___ESET__ESTRUCTURALFEATURE_OBJECT

    static final EOperation EOBJECT___ESET__ESTRUCTURALFEATURE_OBJECT

  The meta object literal for the 'ESet' operation.

### EOBJECT___EIS_SET__ESTRUCTURALFEATURE

    static final EOperation EOBJECT___EIS_SET__ESTRUCTURALFEATURE

  The meta object literal for the 'EIs Set' operation.

### EOBJECT___EUNSET__ESTRUCTURALFEATURE

    static final EOperation EOBJECT___EUNSET__ESTRUCTURALFEATURE

  The meta object literal for the 'EUnset' operation.

### EOBJECT___EINVOKE__EOPERATION_ELIST

    static final EOperation EOBJECT___EINVOKE__EOPERATION_ELIST

  The meta object literal for the 'EInvoke' operation.

### EOPERATION

    static final EClass EOPERATION

  The meta object literal for the '`EOperation`' class.

  See Also:
    `EOperationImpl`, `EcorePackageImpl.getEOperation()`

### EOPERATION__ECONTAINING_CLASS

    static final EReference EOPERATION__ECONTAINING_CLASS

  The meta object literal for the 'EContaining Class' container reference feature.

### EOPERATION__EPARAMETERS

    static final EReference EOPERATION__EPARAMETERS

  The meta object literal for the 'EParameters' containment reference list feature.

### EOPERATION__EEXCEPTIONS

    static final EReference EOPERATION__EEXCEPTIONS

  The meta object literal for the 'EExceptions' reference list feature.

### EOPERATION__EGENERIC_EXCEPTIONS

    static final EReference EOPERATION__EGENERIC_EXCEPTIONS

  The meta object literal for the 'EGeneric Exceptions' containment reference list feature.

### EOPERATION___GET_OPERATION_ID

    static final EOperation EOPERATION___GET_OPERATION_ID

  The meta object literal for the 'Get Operation ID' operation.

### EOPERATION___IS_OVERRIDE_OF__EOPERATION

    static final EOperation EOPERATION___IS_OVERRIDE_OF__EOPERATION

  The meta object literal for the 'Is Override Of' operation.

### EOPERATION__ETYPE_PARAMETERS

    static final EReference EOPERATION__ETYPE_PARAMETERS

  The meta object literal for the 'EType Parameters' containment reference list feature.

### EPACKAGE

    static final EClass EPACKAGE

  The meta object literal for the '`EPackage`' class.

  See Also:
    `EPackageImpl`, `EcorePackageImpl.getEPackage()`

### EPACKAGE__NS_URI

    static final EAttribute EPACKAGE__NS_URI

  The meta object literal for the 'Ns URI' attribute feature.

### EPACKAGE__NS_PREFIX

    static final EAttribute EPACKAGE__NS_PREFIX

  The meta object literal for the 'Ns Prefix' attribute feature.

### EPACKAGE__EFACTORY_INSTANCE

    static final EReference EPACKAGE__EFACTORY_INSTANCE

  The meta object literal for the 'EFactory Instance' reference feature.

### EPACKAGE__ECLASSIFIERS

    static final EReference EPACKAGE__ECLASSIFIERS

  The meta object literal for the 'EClassifiers' containment reference list feature.

### EPACKAGE__ESUBPACKAGES

    static final EReference EPACKAGE__ESUBPACKAGES

  The meta object literal for the 'ESubpackages' containment reference list feature.

### EPACKAGE__ESUPER_PACKAGE

    static final EReference EPACKAGE__ESUPER_PACKAGE

  The meta object literal for the 'ESuper Package' container reference feature.

### EPACKAGE___GET_ECLASSIFIER__STRING

    static final EOperation EPACKAGE___GET_ECLASSIFIER__STRING

  The meta object literal for the 'Get EClassifier' operation.

### EPARAMETER

    static final EClass EPARAMETER

  The meta object literal for the '`EParameter`' class.

  See Also:
    `EParameterImpl`, `EcorePackageImpl.getEParameter()`

### EPARAMETER__EOPERATION

    static final EReference EPARAMETER__EOPERATION

  The meta object literal for the 'EOperation' container reference feature.

### EREFERENCE

    static final EClass EREFERENCE

  The meta object literal for the '`EReference`' class.

  See Also:
    `EReferenceImpl`, `EcorePackageImpl.getEReference()`

### EREFERENCE__CONTAINMENT

    static final EAttribute EREFERENCE__CONTAINMENT

  The meta object literal for the 'Containment' attribute feature.

### EREFERENCE__CONTAINER

    static final EAttribute EREFERENCE__CONTAINER

  The meta object literal for the 'Container' attribute feature.

### EREFERENCE__RESOLVE_PROXIES

    static final EAttribute EREFERENCE__RESOLVE_PROXIES

  The meta object literal for the 'Resolve Proxies' attribute feature.

### EREFERENCE__EOPPOSITE

    static final EReference EREFERENCE__EOPPOSITE

  The meta object literal for the 'EOpposite' reference feature.

### EREFERENCE__EREFERENCE_TYPE

    static final EReference EREFERENCE__EREFERENCE_TYPE

  The meta object literal for the 'EReference Type' reference feature.

### EREFERENCE__EKEYS

    static final EReference EREFERENCE__EKEYS

  The meta object literal for the 'EKeys' reference list feature.

### ESTRUCTURAL_FEATURE

    static final EClass ESTRUCTURAL_FEATURE

  The meta object literal for the '`EStructural Feature`' class.

  See Also:
    `EStructuralFeatureImpl`, `EcorePackageImpl.getEStructuralFeature()`

### ESTRUCTURAL_FEATURE__CHANGEABLE

    static final EAttribute ESTRUCTURAL_FEATURE__CHANGEABLE

  The meta object literal for the 'Changeable' attribute feature.

### ESTRUCTURAL_FEATURE__VOLATILE

    static final EAttribute ESTRUCTURAL_FEATURE__VOLATILE

  The meta object literal for the 'Volatile' attribute feature.

### ESTRUCTURAL_FEATURE__TRANSIENT

    static final EAttribute ESTRUCTURAL_FEATURE__TRANSIENT

  The meta object literal for the 'Transient' attribute feature.

### ESTRUCTURAL_FEATURE__DEFAULT_VALUE_LITERAL

    static final EAttribute ESTRUCTURAL_FEATURE__DEFAULT_VALUE_LITERAL

  The meta object literal for the 'Default Value Literal' attribute feature.

### ESTRUCTURAL_FEATURE__DEFAULT_VALUE

    static final EAttribute ESTRUCTURAL_FEATURE__DEFAULT_VALUE

  The meta object literal for the 'Default Value' attribute feature.

### ESTRUCTURAL_FEATURE__UNSETTABLE

    static final EAttribute ESTRUCTURAL_FEATURE__UNSETTABLE

  The meta object literal for the 'Unsettable' attribute feature.

### ESTRUCTURAL_FEATURE__DERIVED

    static final EAttribute ESTRUCTURAL_FEATURE__DERIVED

  The meta object literal for the 'Derived' attribute feature.

### ESTRUCTURAL_FEATURE__ECONTAINING_CLASS

    static final EReference ESTRUCTURAL_FEATURE__ECONTAINING_CLASS

  The meta object literal for the 'EContaining Class' container reference feature.

### ESTRUCTURAL_FEATURE___GET_FEATURE_ID

    static final EOperation ESTRUCTURAL_FEATURE___GET_FEATURE_ID

  The meta object literal for the 'Get Feature ID' operation.

### ESTRUCTURAL_FEATURE___GET_CONTAINER_CLASS

    static final EOperation ESTRUCTURAL_FEATURE___GET_CONTAINER_CLASS

  The meta object literal for the 'Get Container Class' operation.

### ETYPED_ELEMENT

    static final EClass ETYPED_ELEMENT

  The meta object literal for the '`ETyped Element`' class.

  See Also:
    `ETypedElementImpl`, `EcorePackageImpl.getETypedElement()`

### ETYPED_ELEMENT__ORDERED

    static final EAttribute ETYPED_ELEMENT__ORDERED

  The meta object literal for the 'Ordered' attribute feature.

### ETYPED_ELEMENT__UNIQUE

    static final EAttribute ETYPED_ELEMENT__UNIQUE

  The meta object literal for the 'Unique' attribute feature.

### ETYPED_ELEMENT__LOWER_BOUND

    static final EAttribute ETYPED_ELEMENT__LOWER_BOUND

  The meta object literal for the 'Lower Bound' attribute feature.

### ETYPED_ELEMENT__UPPER_BOUND

    static final EAttribute ETYPED_ELEMENT__UPPER_BOUND

  The meta object literal for the 'Upper Bound' attribute feature.

### ETYPED_ELEMENT__MANY

    static final EAttribute ETYPED_ELEMENT__MANY

  The meta object literal for the 'Many' attribute feature.

### ETYPED_ELEMENT__REQUIRED

    static final EAttribute ETYPED_ELEMENT__REQUIRED

  The meta object literal for the 'Required' attribute feature.

### ETYPED_ELEMENT__ETYPE

    static final EReference ETYPED_ELEMENT__ETYPE

  The meta object literal for the 'EType' reference feature.

### ETYPED_ELEMENT__EGENERIC_TYPE

    static final EReference ETYPED_ELEMENT__EGENERIC_TYPE

  The meta object literal for the 'EGeneric Type' containment reference feature.

### ESTRING_TO_STRING_MAP_ENTRY

    static final EClass ESTRING_TO_STRING_MAP_ENTRY

  The meta object literal for the '`EString To String Map Entry`' class.

  See Also:
    `EStringToStringMapEntryImpl`, `EcorePackageImpl.getEStringToStringMapEntry()`

### ESTRING_TO_STRING_MAP_ENTRY__KEY

    static final EAttribute ESTRING_TO_STRING_MAP_ENTRY__KEY

  The meta object literal for the 'Key' attribute feature.

### ESTRING_TO_STRING_MAP_ENTRY__VALUE

    static final EAttribute ESTRING_TO_STRING_MAP_ENTRY__VALUE

  The meta object literal for the 'Value' attribute feature.

### EGENERIC_TYPE

    static final EClass EGENERIC_TYPE

  The meta object literal for the '`EGeneric Type`' class.

  See Also:
    `EGenericTypeImpl`, `EcorePackageImpl.getEGenericType()`

### EGENERIC_TYPE__EUPPER_BOUND

    static final EReference EGENERIC_TYPE__EUPPER_BOUND

  The meta object literal for the 'EUpper Bound' containment reference feature.

### EGENERIC_TYPE__ETYPE_ARGUMENTS

    static final EReference EGENERIC_TYPE__ETYPE_ARGUMENTS

  The meta object literal for the 'EType Arguments' containment reference list feature.

### EGENERIC_TYPE__ERAW_TYPE

    static final EReference EGENERIC_TYPE__ERAW_TYPE

  The meta object literal for the 'ERaw Type' reference feature.

### EGENERIC_TYPE__ELOWER_BOUND

    static final EReference EGENERIC_TYPE__ELOWER_BOUND

  The meta object literal for the 'ELower Bound' containment reference feature.

### EGENERIC_TYPE__ETYPE_PARAMETER

    static final EReference EGENERIC_TYPE__ETYPE_PARAMETER

  The meta object literal for the 'EType Parameter' reference feature.

### EGENERIC_TYPE__ECLASSIFIER

    static final EReference EGENERIC_TYPE__ECLASSIFIER

  The meta object literal for the 'EClassifier' reference feature.

### ETYPE_PARAMETER

    static final EClass ETYPE_PARAMETER

  The meta object literal for the '`EType Parameter`' class.

  See Also:
    `ETypeParameterImpl`, `EcorePackageImpl.getETypeParameter()`

### ETYPE_PARAMETER__EBOUNDS

    static final EReference ETYPE_PARAMETER__EBOUNDS

  The meta object literal for the 'EBounds' containment reference list feature.

### EBIG_DECIMAL

    static final EDataType EBIG_DECIMAL

  The meta object literal for the 'EBig Decimal' data type.

  See Also:
    `BigDecimal`, `EcorePackageImpl.getEBigDecimal()`

### EBIG_INTEGER

    static final EDataType EBIG_INTEGER

  The meta object literal for the 'EBig Integer' data type.

  See Also:
    `BigInteger`, `EcorePackageImpl.getEBigInteger()`

### EBOOLEAN

    static final EDataType EBOOLEAN

  The meta object literal for the 'EBoolean' data type.

  See Also:
    `EcorePackageImpl.getEBoolean()`

### EBOOLEAN_OBJECT

    static final EDataType EBOOLEAN_OBJECT

  The meta object literal for the 'EBoolean Object' data type.

  See Also:
    `Boolean`, `EcorePackageImpl.getEBooleanObject()`

### EBYTE

    static final EDataType EBYTE

  The meta object literal for the 'EByte' data type.

  See Also:
    `EcorePackageImpl.getEByte()`

### EBYTE_ARRAY

    static final EDataType EBYTE_ARRAY

  The meta object literal for the 'EByte Array' data type.

  See Also:
    `EcorePackageImpl.getEByteArray()`

### EBYTE_OBJECT

    static final EDataType EBYTE_OBJECT

  The meta object literal for the 'EByte Object' data type.

  See Also:
    `Byte`, `EcorePackageImpl.getEByteObject()`

### ECHAR

    static final EDataType ECHAR

  The meta object literal for the 'EChar' data type.

  See Also:
    `EcorePackageImpl.getEChar()`

### ECHARACTER_OBJECT

    static final EDataType ECHARACTER_OBJECT

  The meta object literal for the 'ECharacter Object' data type.

  See Also:
    `Character`, `EcorePackageImpl.getECharacterObject()`

### EDATE

    static final EDataType EDATE

  The meta object literal for the 'EDate' data type.

  See Also:
    `Date`, `EcorePackageImpl.getEDate()`

### EDIAGNOSTIC_CHAIN

    static final EDataType EDIAGNOSTIC_CHAIN

  The meta object literal for the 'EDiagnostic Chain' data type.

  See Also:
    `DiagnosticChain`, `EcorePackageImpl.getEDiagnosticChain()`

### EDOUBLE

    static final EDataType EDOUBLE

  The meta object literal for the 'EDouble' data type.

  See Also:
    `EcorePackageImpl.getEDouble()`

### EDOUBLE_OBJECT

    static final EDataType EDOUBLE_OBJECT

  The meta object literal for the 'EDouble Object' data type.

  See Also:
    `Double`, `EcorePackageImpl.getEDoubleObject()`

### EE_LIST

    static final EDataType EE_LIST

  The meta object literal for the 'EE List' data type.

  See Also:
    `EList`, `EcorePackageImpl.getEEList()`

### EENUMERATOR

    static final EDataType EENUMERATOR

  The meta object literal for the 'EEnumerator' data type.

  See Also:
    `Enumerator`, `EcorePackageImpl.getEEnumerator()`

### EFEATURE_MAP

    static final EDataType EFEATURE_MAP

  The meta object literal for the 'EFeature Map' data type.

  See Also:
    `FeatureMap`, `EcorePackageImpl.getEFeatureMap()`

### EFEATURE_MAP_ENTRY

    static final EDataType EFEATURE_MAP_ENTRY

  The meta object literal for the 'EFeature Map Entry' data type.

  See Also:
    `FeatureMap.Entry`, `EcorePackageImpl.getEFeatureMapEntry()`

### EFLOAT

    static final EDataType EFLOAT

  The meta object literal for the 'EFloat' data type.

  See Also:
    `EcorePackageImpl.getEFloat()`

### EFLOAT_OBJECT

    static final EDataType EFLOAT_OBJECT

  The meta object literal for the 'EFloat Object' data type.

  See Also:
    `Float`, `EcorePackageImpl.getEFloatObject()`

### EINT

    static final EDataType EINT

  The meta object literal for the 'EInt' data type.

  See Also:
    `EcorePackageImpl.getEInt()`

### EINTEGER_OBJECT

    static final EDataType EINTEGER_OBJECT

  The meta object literal for the 'EInteger Object' data type.

  See Also:
    `Integer`, `EcorePackageImpl.getEIntegerObject()`

### EJAVA_CLASS

    static final EDataType EJAVA_CLASS

  The meta object literal for the 'EJava Class' data type.

  See Also:
    `Class`, `EcorePackageImpl.getEJavaClass()`

### EJAVA_OBJECT

    static final EDataType EJAVA_OBJECT

  The meta object literal for the 'EJava Object' data type.

  See Also:
    `Object`, `EcorePackageImpl.getEJavaObject()`

### ELONG

    static final EDataType ELONG

  The meta object literal for the 'ELong' data type.

  See Also:
    `EcorePackageImpl.getELong()`

### ELONG_OBJECT

    static final EDataType ELONG_OBJECT

  The meta object literal for the 'ELong Object' data type.

  See Also:
    `Long`, `EcorePackageImpl.getELongObject()`

### EMAP

    static final EDataType EMAP

  The meta object literal for the 'EMap' data type.

  See Also:
    `Map`, `EcorePackageImpl.getEMap()`

### ERESOURCE

    static final EDataType ERESOURCE

  The meta object literal for the 'EResource' data type.

  See Also:
    `Resource`, `EcorePackageImpl.getEResource()`

### ERESOURCE_SET

    static final EDataType ERESOURCE_SET

  The meta object literal for the 'EResource Set' data type.

  See Also:
    `ResourceSet`, `EcorePackageImpl.getEResourceSet()`

### ESHORT

    static final EDataType ESHORT

  The meta object literal for the 'EShort' data type.

  See Also:
    `EcorePackageImpl.getEShort()`

### ESHORT_OBJECT

    static final EDataType ESHORT_OBJECT

  The meta object literal for the 'EShort Object' data type.

  See Also:
    `Short`, `EcorePackageImpl.getEShortObject()`

### ESTRING

    static final EDataType ESTRING

  The meta object literal for the 'EString' data type.

  See Also:
    `String`, `EcorePackageImpl.getEString()`

### ETREE_ITERATOR

    static final EDataType ETREE_ITERATOR

  The meta object literal for the 'ETree Iterator' data type.

  See Also:
    `TreeIterator`, `EcorePackageImpl.getETreeIterator()`

### EINVOCATION_TARGET_EXCEPTION

    static final EDataType EINVOCATION_TARGET_EXCEPTION

  The meta object literal for the 'EInvocation Target Exception' data type.

  See Also:
    `InvocationTargetException`, `EcorePackageImpl.getEInvocationTargetException()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.